The assembly descriptor ... not cross platform compatible


#1

Hello,

When I built jicofo I have these kind of messages

[INFO] — maven-assembly-plugin:2.6:single (assembly-linux-x86-bin-archive) @ jicofo —
[WARNING] The assembly descriptor contains a filesystem-root relative reference, which is not cross platform compatible /
[WARNING] The assembly descriptor contains a filesystem-root relative reference, which is not cross platform compatible /

I wanted to know if these could cause problems because I don’t use linux but Openbsd

I also had these warnings which should be less complicated to solve

[WARNING] Checksum validation failed, expected 62fd1f83ac50b655909af7d5b11a961a7a93c3f7 but is 28eb75f0903ea53dd1c44134a9b3e1c4bebbb4a5 from jitsi-maven-repository-snapshots for https://github.com/jitsi/jitsi-maven-repository/raw/master/snapshots/org/jitsi/jitsi-protocol/2.9-SNAPSHOT/jitsi-protocol-2.9-20151211.202410-3.pom
[WARNING] Could not validate integrity of download from https://github.com/jitsi/jitsi-maven-repository/raw/master/snapshots/org/jitsi/jitsi-protocol/2.9-SNAPSHOT/jitsi-protocol-2.9-20151211.202410-3.pom: Checksum validation failed, expected 62fd1f83ac50b655909af7d5b11a961a7a93c3f7 but is 28eb75f0903ea53dd1c44134a9b3e1c4bebbb4a5
[WARNING] Checksum validation failed, expected 62fd1f83ac50b655909af7d5b11a961a7a93c3f7 but is 28eb75f0903ea53dd1c44134a9b3e1c4bebbb4a5 from jitsi-maven-repository-snapshots for https://github.com/jitsi/jitsi-maven-repository/raw/master/snapshots/org/jitsi/jitsi-protocol/2.9-SNAPSHOT/jitsi-protocol-2.9-20151211.202410-3.pom

Does anyone know about these problems ?